/**
 * @copyright 2016 Mumba Pty Ltd. All rights reserved.
 * @license   Apache-2.0
 */
/**
 * A generic error list class.
 */
export declare class Errors {
    private errors;
    /**
     * @param {object} [errors] - Any number of arguments can be used to prime the error list.
     */
    constructor(...errors: any[]);
    /**
     * Push an error onto the list.
     *
     * @param {object} error - An object representing an error.
     */
    push(error: any): void;
    /**
     * Determine if any errors have been added to the object.
     *
     * @returns {boolean} - Returns true if there are errors in the list, false otherwise.
     */
    any(): boolean;
    /**
     * Converts the error list to JSON, anchoring the list to a "$errors" property so that API's can detect the errors.
     *
     * @returns {{$errors: any[]}}
     */
    toJSON(): any;
}
